_PurplePluginInfo Struct Reference

Detailed information about a plugin. More...

`#include <plugin.h>`

## Data Fields

unsigned int | magic
unsigned int | major_version
unsigned int | minor_version
PurplePluginType | type
char * | ui_requirement
unsigned long | flags
GList * | dependencies
PurplePluginPriority | priority
char * | id
char * | name
char * | version
char * | summary
char * | description
char * | author
char * | homepage
gboolean(* | load )(PurplePlugin *plugin)
| If a plugin defines a 'load' function, and it returns FALSE, then the plugin will not be loaded.
gboolean(* | unload )(PurplePlugin *plugin)
void(* | destroy )(PurplePlugin *plugin)
void * | ui_info
| Used only by UI-specific plugins to build a preference screen with a custom UI.
void * | extra_info
PurplePluginUiInfo * | prefs_info
| Used by any plugin to display preferences. More...
GList *(* | actions )(PurplePlugin *plugin, gpointer context)
| This callback has a different use depending on whether this plugin type is PURPLE_PLUGIN_STANDARD or PURPLE_PLUGIN_PROTOCOL. More...
void(* | _purple_reserved1 )(void)
void(* | _purple_reserved2 )(void)
void(* | _purple_reserved3 )(void)
void(* | _purple_reserved4 )(void)

## Detailed Description

Detailed information about a plugin.

This is used in the version 2.0 API and up.

Definition at line 78 of file plugin.h.

## Field Documentation

## actions

GList*(* _PurplePluginInfo::actions) (PurplePlugin *plugin, gpointer context)

This callback has a different use depending on whether this plugin type is PURPLE_PLUGIN_STANDARD or PURPLE_PLUGIN_PROTOCOL.

If PURPLE_PLUGIN_STANDARD then the list of actions will show up in the Tools menu, under a submenu with the name of the plugin. context will be NULL.

If PURPLE_PLUGIN_PROTOCOL then the list of actions will show up in the Accounts menu, under a submenu with the name of the account. context will be set to the PurpleConnection for that account. This callback will only be called for online accounts.

Definition at line 122 of file plugin.h.

## prefs_info

PurplePluginUiInfo* _PurplePluginInfo::prefs_info

Used by any plugin to display preferences.

If ui_info has been specified, this will be ignored.

Definition at line 107 of file plugin.h.

The documentation for this struct was generated from the following file:

- plugin.h